• Русский
  • Vpc [vpcs.kubeovn.io/v1]

    Type
    object

    Specification

    PropertyTypeDescription
    specobject
    statusobject

    .spec

    Type
    object
    PropertyTypeDescription
    defaultSubnetstring
    enableExternalboolean
    enableBfdboolean
    namespacesarray
    extraExternalSubnetsarray
    staticRoutesarray
    policyRoutesarray
    vpcPeeringsarray
    bfdPortobject

    .spec.namespaces

    Type
    array

    .spec.namespaces[]

    Type
    string

    .spec.extraExternalSubnets

    Type
    array

    .spec.extraExternalSubnets[]

    Type
    string

    .spec.staticRoutes

    Type
    array

    .spec.staticRoutes[]

    Type
    object
    PropertyTypeDescription
    policystring
    cidrstring
    nextHopIPstring
    ecmpModestring
    bfdIdstring
    routeTablestring

    .spec.policyRoutes

    Type
    array

    .spec.policyRoutes[]

    Type
    object
    PropertyTypeDescription
    priorityinteger
    actionstring
    matchstring
    nextHopIPstring

    .spec.vpcPeerings

    Type
    array

    .spec.vpcPeerings[]

    Type
    object
    PropertyTypeDescription
    remoteVpcstring
    localConnectIPstring

    .spec.bfdPort

    Type
    object
    PropertyTypeDescription
    enabledboolean
    ipstring
    nodeSelectorobject

    .spec.bfdPort.nodeSelector

    Type
    object
    PropertyTypeDescription
    matchExpressionsarray
    matchLabelsobject

    .spec.bfdPort.nodeSelector.matchExpressions

    Type
    array

    .spec.bfdPort.nodeSelector.matchExpressions[]

    Type
    object
    Required
    keyoperator
    PropertyTypeDescription
    keystring
    operatorstring
    valuesarray

    .spec.bfdPort.nodeSelector.matchExpressions[].values

    Type
    array

    .spec.bfdPort.nodeSelector.matchExpressions[].values[]

    Type
    string

    .spec.bfdPort.nodeSelector.matchLabels

    Type
    object

    .status

    Type
    object
    PropertyTypeDescription
    conditionsarray
    defaultboolean
    defaultLogicalSwitchstring
    routerstring
    standbyboolean
    enableExternalboolean
    enableBfdboolean
    subnetsarray
    extraExternalSubnetsarray
    vpcPeeringsarray
    tcpLoadBalancerstring
    tcpSessionLoadBalancerstring
    udpLoadBalancerstring
    udpSessionLoadBalancerstring
    sctpLoadBalancerstring
    sctpSessionLoadBalancerstring
    bfdPortobject

    .status.conditions

    Type
    array

    .status.conditions[]

    Type
    object
    PropertyTypeDescription
    lastTransitionTimestring
    lastUpdateTimestring
    messagestring
    reasonstring
    statusstring
    typestring

    .status.subnets

    Type
    array

    .status.subnets[]

    Type
    string

    .status.extraExternalSubnets

    Type
    array

    .status.extraExternalSubnets[]

    Type
    string

    .status.vpcPeerings

    Type
    array

    .status.vpcPeerings[]

    Type
    string

    .status.bfdPort

    Type
    object
    PropertyTypeDescription
    ipstring
    namestring
    nodesarray

    .status.bfdPort.nodes

    Type
    array

    .status.bfdPort.nodes[]

    Type
    string

    API Endpoints

    The following API endpoints are available:

    • /apis/kubeovn.io/v1/namespaces/{namespace}/vpcs
      • DELETE: delete collection of Vpc
      • GET: list objects of kind Vpc
      • POST: create a new Vpc
    • /apis/kubeovn.io/v1/namespaces/{namespace}/vpcs/{name}
      • DELETE: delete the specified Vpc
      • GET: read the specified Vpc
      • PATCH: partially update the specified Vpc
      • PUT: replace the specified Vpc
    • /apis/kubeovn.io/v1/namespaces/{namespace}/vpcs/{name}/status
      • GET: read status of the specified Vpc
      • PATCH: partially update status of the specified Vpc
      • PUT: replace status of the specified Vpc

    /apis/kubeovn.io/v1/namespaces/{namespace}/vpcs

    HTTP method
    DELETE
    Description
    delete collection of Vpc
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind Vpc
    HTTP responses
    HTTP codeResponse body
    200 - OKVpcList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new Vpc
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVpc schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVpc schema
    201 - CreatedVpc schema
    202 - AcceptedVpc schema
    401 - UnauthorizedEmpty

    /apis/kubeovn.io/v1/namespaces/{namespace}/vpcs/{name}

    HTTP method
    DELETE
    Description
    delete the specified Vpc
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified Vpc
    HTTP responses
    HTTP codeResponse body
    200 - OKVpc schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified Vpc
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVpc schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified Vpc
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVpc schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVpc schema
    201 - CreatedVpc schema
    401 - UnauthorizedEmpty

    /apis/kubeovn.io/v1/namespaces/{namespace}/vpcs/{name}/status

    HTTP method
    GET
    Description
    read status of the specified Vpc
    HTTP responses
    HTTP codeResponse body
    200 - OKVpc schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified Vpc
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVpc schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified Vpc
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVpc schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVpc schema
    201 - CreatedVpc schema
    401 - UnauthorizedEmpty